import compileClassNames from '@zohodesk/utils/es/compileClassNames';
export default function cssJSLogic(_ref) {
  let {
    props,
    style
  } = _ref;
  const {
    size,
    isChecked,
    isDisabled
  } = props;
  let containerClass = compileClassNames({
    [style.container]: true,
    [style[size]]: true,
    [style.checked]: isChecked,
    [style.unChecked]: !isChecked,
    [style.disabled]: isDisabled
  });
  let trackClass = compileClassNames({
    [style.track]: true
  });
  let labelClass = compileClassNames({
    [style.label]: true
  });
  let trackWrapperClass = compileClassNames({
    [style.trackWrapper]: true
  });
  let thumbClass = compileClassNames({
    [style.thumb]: true,
    [style.commonSvg]: true
  });
  let labelIndicationClass = compileClassNames({
    [style.onLabel]: isChecked,
    [style.offLabel]: !isChecked,
    [style.commonSvg]: true
  });
  return {
    containerClass,
    trackClass,
    labelClass,
    trackWrapperClass,
    thumbClass,
    labelIndicationClass
  };
}